[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IInterfaceList.Remove

Remove an interface from the list

## Declaration

Source position: classesh.inc line 1841

`function IInterfaceList.Remove(`
`item: IUnknown`
`):Integer;`

## Description

Remove searches for the first occurrence of Item in the list and deletes it.

## See also

TList.Remove |  | Removes a value from the list.
IInterfaceList.Delete |  | Remove an interface from the list
IInterfaceList.IndexOf |  | Return the index of an interface.

Documentation generated on: Feb 26 2014